| Bsoft 2.0.5 Bernard's software package

Functions | Variables
ps_sequence.cpp File Reference

Postscript output for sequence analysis functions. More...

`#include "ps_plot.h"`
`#include "Complex.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | ps_seq_representation (ofstream *fps, int length, double *nseq)
int | ps_seq_periodicity (ofstream *fps, int length, Complex< float > *per)
int | ps_seq_info (Bstring &filename, Bstring &title, int nres, int length, double *info, double *nseq, Complex< float > *per, double *freq, char *pattern)
| Generates a postscript plot from an information content analysis of a protein sequence alignment. More...
int | ps_seq_hydrophob (Bstring &filename, Bstring &title, int length, double *Hphob, int *HPseg, double *nseq, Complex< float > *per)
| Generates a postscript plot from a hydrophobicity analysis of a protein sequence alignment. More...

## Variables
int | verbose

## Detailed Description

Postscript output for sequence analysis functions.

Author
  Bernard Heymann

Date
  Created: 20010515
  Modified: 20120423

Definition in file ps_sequence.cpp.

## Function Documentation

## ◆ ps_seq_hydrophob()

int ps_seq_hydrophob | ( | Bstring & | filename,
|  | Bstring & | title,
|  | int | length,
|  | double * | Hphob,
|  | int * | HPseg,
|  | double * | nseq,
|  | Complex< float > * | per
| ) |  |

Generates a postscript plot from a hydrophobicity analysis of a protein sequence alignment.

Parameters

  &filename | postscript file name.
  &title | title.
  length | number of alignment positions.
  *Hphob | moving average of average hydrophobicity at each position.
  *HPseg | assignment of hydrophobic segments.
  *nseq | number of sequences represented at each position.
  *per | periodicity analysis.

Returns
  int 0.

Definition at line 194 of file ps_sequence.cpp.

## ◆ ps_seq_info()

int ps_seq_info | ( | Bstring & | filename,
|  | Bstring & | title,
|  | int | nres,
|  | int | length,
|  | double * | info,
|  | double * | nseq,
|  | Complex< float > * | per,
|  | double * | freq,
|  | char * | pattern
| ) |  |

Generates a postscript plot from an information content analysis of a protein sequence alignment.

Parameters

  &filename | postscript file name.
  &title | title.
  nres | number of residue types.
  length | number of alignment positions.
  *info | moving average of information content.
  *nseq | number of sequences represented at each position.
  *per | periodicity analysis.
  *freq | frequence of each residue type at each position.
  *pattern | residue types at each position, in frequency order.

Returns
  int 0.

Definition at line 33 of file ps_sequence.cpp.

## ◆ ps_seq_periodicity()

int ps_seq_periodicity | ( | ofstream * | fps,
|  | int | length,
|  | Complex< float > * | per
| ) |  |

Definition at line 324 of file ps_sequence.cpp.

## ◆ ps_seq_representation()

int ps_seq_representation | ( | ofstream * | fps,
|  | int | length,
|  | double * | nseq
| ) |  |

Definition at line 282 of file ps_sequence.cpp.

## Variable Documentation

## ◆ verbose

int verbose